Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155783 - hangs during download of packages
Summary: hangs during download of packages
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 3
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 23:02 UTC by jackie linkowski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-29 15:06:14 UTC


Attachments (Terms of Use)

Description jackie linkowski 2005-04-22 23:02:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
I have not always reliable link.  Particulalry visible when large packages are downloaded, for example some of openoffice are over 100MB.  Not quite reproducible at will as i have no control over my Internet connection (satellite two-way).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.click on icon indicating updates are available (best if openoffice is some of components have large file size)
2.click through on all windows
3.watch download start, then hang.  window showing download progress does not refresh.  has to be killed by clicking on x and selecting "force quit"
  

Actual Results:  Hangs

Expected Results:  Times out, provides summary of which packages downloaded and which did not.
Time out gracefully

Related Enhancements Suggestions:
1. Allow resume where partailly downloaded packages continue download.  Currently download starts from scratch.  Ah! and my broadband has a limiit of about 180MB after which download slows down to a crawl - no more then 50kbps
2. Keep packages under 20MB.  Split openoffice and other large ones into smaller chunks.

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:51:34 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 John Thacker 2006-10-29 15:06:14 UTC
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.


Note You need to log in before you can comment on or make changes to this bug.